Built LMS Help Center
API Reference and PlaygroundCourse BuilderGrading Queue

POST Assign grader to task

Assign a specific grader to a manual grading task

POST
/grading-queue/{id}/assign

Assign a specific grader to a manual grading task

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Grading queue item ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/grading-queue/{id}/assign" \  -H "Content-Type: application/json" \  -d '{    "assigned_grader_id": "{assigned_grader_id}"  }'
{  "data": {    "id": "{id}",    "assigned_grader_id": "{assigned_grader_id}",    "status": "string",    "updated_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organizationId": "{organizationId}",    "rls_validated": true  }}